-draw "matte 1,1 floodfill"

Post any defects you find in the released or beta versions of the ImageMagick software here. Include the ImageMagick version, OS, and any command-line required to reproduce the problem. Got a patch for a bug? Post it here.
Post Reply
Marcel71
Posts: 49
Joined: 2011-04-13T13:57:34-07:00
Authentication code: 8675308

-draw "matte 1,1 floodfill"

Post by Marcel71 » 2019-04-05T04:51:16-07:00

Hi guys,

I am using version 7.0.8-37 on Ubuntu.

When i use the following command an error occurs:

Code: Select all

convert rose: -fill none -draw "matte 1,1 floodfill" out.png
It is a code example from: http://www.imagemagick.org/Usage/draw/#matte

The error i get is:
convert: non-conforming drawing primitive definition `1' @ error/draw.c/RenderMVGContent/4407.

Could you guys have a look at this?

Regards,
Marcel

User avatar
magick
Site Admin
Posts: 11098
Joined: 2003-05-31T11:32:55-07:00

Re: -draw "matte 1,1 floodfill"

Post by magick » 2019-04-05T06:33:24-07:00

ImageMagick 7 uses "alpha" rather than "matte". See Changed Options @ https://www.imagemagick.org/script/porting.php.

User avatar
fmw42
Posts: 25757
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: -draw "matte 1,1 floodfill"

Post by fmw42 » 2019-04-05T09:31:09-07:00

For IM 7, use magick not convert and not magick convert.

Code: Select all

magick rose: -fill none -draw "alpha 1,1 floodfill" out.png

Marcel71
Posts: 49
Joined: 2011-04-13T13:57:34-07:00
Authentication code: 8675308

Re: -draw "matte 1,1 floodfill"

Post by Marcel71 » 2019-04-05T10:12:27-07:00

Thanks, that worked indeed :)

Will you have an examples site like: https://imagemagick.org/Usage/ for version 7?
I always found that one very usefull throughtout the years. :)

Regards,
Marcel

User avatar
fmw42
Posts: 25757
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: -draw "matte 1,1 floodfill"

Post by fmw42 » 2019-04-05T10:14:24-07:00

It is mostly the same, except for convert -> magick for IM 7. So not likely a new version for IM 7.

See also https://imagemagick.org/script/porting.php#cli

Post Reply